petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeRHSFunction

Evaluates the right-hand-side function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunction(TS ts,PetscReal t,Vec U,Vec y)

Collective on TS and Vec Many br

### Input Parameters

| ts | - the TS context Many br
| t | - current time Many br
| U | - state vector Many br

### Output Parameter

y -right hand side Many br

### Note

Most users should not need to explicitly call this routine, as it Many bris used internally within the nonlinear solvers. Many br

Many br

### Keywords

TS, compute

### See Also

TSSetRHSFunction(), TSComputeIFunction()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages